/*  Copyright (c) 2001, Oracle Corporation. All Rights Reserved. */
package oracle.portal.provider.v2.preference;

public class EntryAlreadyExistsException extends PreferenceStoreException
{
    public EntryAlreadyExistsException(String resource,
                                       String name,
                                       Object[] args,
                                       Throwable cause)
    {
        super(resource, name, args, cause);
    }

    public EntryAlreadyExistsException(String resource,
                                       String name,
                                       Object[] args)
    {
        super(resource, name, args);
    }


    public EntryAlreadyExistsException(String resource,
                                       String name)
    {
        super(resource, name);
    }


    public EntryAlreadyExistsException(String msg)
    {
        super(msg);
    }
}
